Skip to main content
GET
/
api
/
core
/
use-cases
/
{use_case_id}
/
knowledge-sources
Get knowledge sources by use case
curl --request GET \
  --url https://api.example.com/api/core/use-cases/{use_case_id}/knowledge-sources \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "type": "manually_synced",
    "sync_settings_id": "<string>",
    "enable_filtering": false
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Path Parameters

use_case_id
string
required

Response

Successful Response

id
string
required
type
enum<string>
default:manually_synced
Available options:
confluence,
disa,
google_drive,
jira,
one_losp,
sap_btp,
sharepoint,
still_sales_and_service,
cloud_storage,
manually_synced
sync_settings_id
string | null
enable_filtering
boolean
default:false